import React, { Component } from 'react';
import cloneDeep from 'lodash/cloneDeep';
import PropTypes from 'prop-types';

import DataGrid from '../src';
import { tableMetaData, getStyles, tableData } from './Data';
 /*
* The SplashPage component will render - DataGrid.
* @type {class}
*/

const EditButton = ({ rowData }) => (
  <div><button onClick={() => { alert(`First Name: ${rowData.firstName}, Last Name: ${rowData.lastName}`); }}>Edit</button></div>
);
const formatMetaData = (metaData) => {
  const custom = cloneDeep(metaData);
  const formattedHeaderConfig = custom.headerConfig.map((dataObj) => {
    if (dataObj.key === 'edit') {
      return { ...dataObj, customComponent: EditButton };
    }
    return { ...dataObj };
  });
  return { ...metaData, 'headerConfig': formattedHeaderConfig };
};
/*
* The SplashPage component which will render - DataGrid.
 * @type {class}
*/
class SplashPage extends Component {
  constructor(props) {
    super(props);
    this.state = {
      metaData: tableMetaData(),
    };
  }
  render() {
    const formattedMetaData = formatMetaData(this.state.metaData);
    return (
      <div id="badge">
        <DataGrid
          data={tableData()}
          metaData={formattedMetaData}
          styles={getStyles()}
        />
      </div>
    );
  }
}
EditButton.propTypes = {
  rowData: PropTypes.object,
};

EditButton.defaultProps = {
  rowData: {},
};

export default SplashPage;
