import React from 'react';
import PropTypes from 'prop-types';


const ColumnFilter = ({ onChange, selectedColumn, value }) => {
  const handleInputChange = (event) => {
    const searchInput = {
      searchString: event.target.value,
      selectedColumn,
    };
    onChange(searchInput);
  };
  return (
    <div className="filter-column" >
      <input className="search-input-column" type="text" value={value} onChange={handleInputChange} />
    </div>
  );
};

ColumnFilter.propTypes = {
  selectedColumn: PropTypes.string,
  value: PropTypes.string,
  onChange: PropTypes.func.isRequired,
};

ColumnFilter.defaultProps = {
  selectedColumn: '',
  value: '',
};

export default ColumnFilter;
